Plugin Guide for version 2.1?

I wrote a plugin, 'WebAuth'. It fails as instanceof PluginAbstract. If I comment out that test, it installs and works beautifully.

I wrote another plugin, 'WowzaBoot". It fails with this PHP error

PHP Catchable fatal error: Argument 1 passed to Plugin::hasSettingsMethod() must be an instance of PluginAbstract, instance of WebAuth given, called in /var/www/html/cumulusclips/cc-admin/plugins.php on line 156 and defined in /var/www/html/cumulusclips/cc-core/lib/Plugin.php on line 155

How did WowzaBoot become an instance of WebAuth?

Some documentation for V2.1 plugins would help a lot

Comments

  • The plugin architecture changed slightly from version 1 to version 2+. The articles on our website are for version 1. We are in the process of rewriting alot of these articles.

    In the meantime, would a sample plugin for version 2 work as a guide for you in the meantime until we finalize our docs? Let me know and I can provide that for you.
  • Thanks, but I figured it out. sorry I didn't respond earlier . plugins rock.
    txt
    txt
    plugin.txt
    561B
  • Great. When you're ready to share your plugin, if at all, send us an email to addons [at] CumulusClips.org and we can add it to the registry on our website.
This discussion has been closed.